Subject: Re: [PATCH] Documentation: remove unnecessary backslashes

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Jan 2016 12:28:53 -0800

Jeff King <[email-masked]> writes:

> On Wed, Jan 20, 2016 at 09:21:37AM -0800, Matt Kraai wrote:
>
>> From: Matthew Kraai <[email-masked]>
>> 
>> asciidoctor does not remove backslashes used to escape curly brackets from
>> the HTML output if the contents of the curly brackets are empty or contain
>> at least a <, -, or space.  asciidoc does not require the backslashes in
>> these cases, so just remove them.
>
> I think these backslashes may have been necessary in older versions of
> asciidoc, but I don't recall the details. Looks like we did a similar
> round of cleanups already in 4538a88256, so this is probably safe (and I
> verified with asciidoc 8.6.9 that the generated output is the same).
>
>> -'<refname>@\{<date>\}', e.g. 'master@\{yesterday\}', 'HEAD@\{5 minutes ago\}'::
>> +'<refname>@{<date>}', e.g. 'master@\{yesterday\}', 'HEAD@{5 minutes ago}'::
>
> I see you didn't tweak the middle one here, because it _does_ look like
> an attribute. Does asciidoctor actually remove the backslashes there?

A more important question is if it works without the backslashes.
If not-too-stale versions of asciidoc everybody uses these days are
all OK without braces quoted with backslashes, and if the same holds
true for asciidoctor, then we would want consistency here.

On the other hand, if this line must be spelled like the above to
please asciidoctor, i.e. the first and the last must not have
backslashes and the second must have backslashes, I'd have to say
we have a bigger problem.  Perhaps asciidoctor needs to be fixed
until normal people like we can rely on it.